const ProgressBar = require('./progressBar')

const outputProgressBar = async (starStr, endStr) => {
  return new Promise((resolve, reject) => {
    const getProgress = new ProgressBar(starStr, 50, false)

    let start = 1
    let end = 40
    let timer = setInterval(() => {
      start++
      getProgress.render({
        completed: start,
        total: end
      })
      if (start == 40) {
        getProgress.editDes(endStr)
        getProgress.render({
          completed: end,
          total: end
        }, 'blue')
        console.log(' √'.blue)
        clearInterval(timer)
        resolve()
      }
    }, 10);
  })
}



module.exports = {
  outputProgressBar
}